.image-wrapper {
  position: relative;
  display: inline-block;
}

.image-wrapper img {
  display: block;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;

  position: absolute;
  width: clamp(140px, 20%, 220px);
  padding: 10px;

  font-weight: 600;
  text-decoration: none;
  transition: all 0.3s ease;
  z-index: 1;

  border-radius: 5px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.2);

  bottom: 2%;
}

/* 左下配置 */
.btn-left {
  left: 2%;
}

/* 右下配置 */
.btn-right {
  right: 2%;
}

.btn {
  border: 1px solid #fff;
  background-color: #ff0228;
  color: #fff;
}

.btn:hover {
  background-color: #fff;
  color: #ff0228;
}